Summary:        Tools for using Babel with Django
Name:		python-enmerkar
Version:	0.7.1
Release:        5%{?dist}
License:	BSD
URL:		https://github.com/Zegocover/enmerkar
Source0:	https://github.com/Zegocover/enmerkar/archive/refs/tags/%{version}.tar.gz

Requires:	python3-django python3-babel

BuildArch:      noarch


%description
This package contains various utilities for integration of Babel into
the Django web framework:

 - A message extraction plugin for Django templates.
 - A middleware class that adds the Babel Locale object to requests.
 - A set of template tags for date and number formatting.


%package -n python3-enmerkar
Summary:	Utilities for using Babel in Django
BuildRequires:	python3-devel python3-setuptools
Provides:       python-enmerkar

%description -n python3-enmerkar
This package contains various utilities for integration of Babel into
the Django web framework:
 
 - A message extraction plugin for Django templates.
 - A middleware class that adds the Babel Locale object to requests.
 - A set of template tags for date and number formatting.


%prep
%autosetup -n enmerkar-%{version}


%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf docs %{buildroot}/%{_pkgdocdir}


%files -n python3-enmerkar
%{_docdir}/*
%dir %{python3_sitelib}/*
%{python3_sitelib}/enmerkar
%{python3_sitelib}/*.egg-info


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Miaojun Dong <zoedong@tencent.com> - 0.7.1-1
- initial build
